Subject: Re: bug#8764: 24.0.50; cedet/semantic/bovine/c-by.el:184:1:Error: Lisp nesting exceeds `max-lisp-eval-depth'

From: David Engster <[email-masked]>
Date: Mon, 30 May 2011 21:01:07 +0200

Christopher Browne writes:
> make[2]: Entering directory `/opt/emacs/trunk/lisp'
> Compiling cedet/semantic/bovine/c-by.el
>
> In toplevel form:
> cedet/semantic/bovine/c-by.el:184:1:Error: Lisp nesting exceeds `max-lisp-eval-depth'
> make[2]: *** [cedet/semantic/bovine/c-by.elc] Error 1
> make[2]: Leaving directory `/opt/emacs/trunk/lisp'
> make[1]: *** [compile-main] Error 2
> make[1]: Leaving directory `/opt/emacs/trunk/lisp'
> make: *** [lisp] Error 2
>
> At line 184, this file is defining the following object:
>
> (defconst semantic-c-by--parse-table
> ....
>
> I'm not sure where to proceed from here.  The default value is 600; I
> don't know if fiddling that higher would actually help.

It should. The build from CEDET-bzr uses a value of 1000 to compile the
resulting parser files. I'm actually a bit puzzled that this ever worked
reliably with the default value.

-David